package com.fjhx.oa.service.internal;

import com.fjhx.oa.entity.internal.po.InternalAddressBook;
import com.fjhx.oa.entity.internal.vo.SysUserVo;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.service.BaseService;
import com.fjhx.oa.entity.internal.dto.InternalAddressBookDto;

import java.util.List;


/**
 * <p>
 * 内部通讯录 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
public interface InternalAddressBookService extends BaseService<InternalAddressBook> {

    /**
     * 内部通讯录分页
     */
    List<SysUserVo> getPage(SysUser sysUser);

    /**
     * 内部通讯录明细
     */
    List<InternalAddressBook> detail(Long id);

    /**
     * 内部通讯录新增
     */
    void add(InternalAddressBookDto internalAddressBookDto);

    /**
     * 内部通讯录编辑
     */
    void edit(InternalAddressBookDto internalAddressBookDto);

    /**
     * 内部通讯录删除
     */
    void delete(Long id);

}
